Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5099)
@@ -1,13 +1,13 @@
-!
+
 ! $Id$
-!
+
 MODULE pbl_surface_mod
-!
+
 ! Planetary Boundary Layer and Surface module
-!
+
 ! This module manages the calculation of turbulent diffusion in the boundary layer 
 ! and all interactions towards the differents sub-surfaces.
-!
-!
+
+
   USE dimphy
   USE mod_phys_lmdz_para,  ONLY : mpi_size
@@ -73,7 +73,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE pbl_surface_init(fder_rst, snow_rst, qsurf_rst, ftsoil_rst)
 
@@ -104,5 +104,5 @@
 !****************************************************************************************
 ! Allocate and initialize module variables with fields read from restart file.
-!
+
 !****************************************************************************************    
     ALLOCATE(fder(klon), stat=ierr)
@@ -133,5 +133,5 @@
 !****************************************************************************************
 ! Test for sub-surface indices
-!
+
 !****************************************************************************************
     IF (is_ter /= 1) THEN 
@@ -163,5 +163,5 @@
 !****************************************************************************************
 ! Validation of ocean mode
-!
+
 !****************************************************************************************
 
@@ -179,9 +179,9 @@
 !    iflag_frein = 0
 !    CALL getin_p('iflag_frein',iflag_frein)
-!
+
 !jyg<
 !****************************************************************************************
 ! Allocate variables for pbl splitting
-!
+
 !****************************************************************************************
 
@@ -222,5 +222,5 @@
 !****************************************************************************************
 ! Allocate and initialize module variables with fields read from restart file.
-!
+
 !****************************************************************************************    
 
@@ -255,7 +255,5 @@
 #endif
 
-!  
-!****************************************************************************************
-!  
+!****************************************************************************************
 
   SUBROUTINE pbl_surface( &
@@ -329,5 +327,5 @@
 ! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
 ! Objet: interface de "couche limite" (diffusion verticale)
-!
+
 !AA REM:
 !AA-----
@@ -345,7 +343,7 @@
 !AA il faudra sortir ces memes champs en leur ajoutant une dimension, 
 !AA c'est a dire nbsrf (nbre de subsurface).
-!
+
 ! Arguments:
-!
+
 ! dtime----input-R- interval du temps (secondes)
 ! itap-----input-I- numero du pas de temps
@@ -367,5 +365,5 @@
 ! cldt-----input-R- total cloud fraction
 ! Martin
-!
+
 ! d_t------output-R- le changement pour "t"
 ! d_q------output-R- le changement pour "q"
@@ -392,5 +390,5 @@
 ! pblT-----output-R- T au nveau HCL
 ! treedrg--output-R- tree drag (m)               
-!
+
     USE carbon_cycle_mod,   ONLY : carbon_cycle_cpl, carbon_cycle_tr, level_coupling_esm 
     USE carbon_cycle_mod,   ONLY : co2_send, nbcf_out, fields_out, yfields_out, cfname_out
@@ -858,5 +856,5 @@
 !!!jyg le 08/02/2012
     REAL, DIMENSION(klon, nbsrf)       :: windsp
-!
+
     REAL, DIMENSION(klon, nbsrf)       :: t2m_x
     REAL, DIMENSION(klon, nbsrf)       :: q2m_x
@@ -867,5 +865,5 @@
     REAL, DIMENSION(klon, nbsrf)       :: ustar_x
     REAL, DIMENSION(klon, nbsrf)       :: wstar_x
-!              
+
     REAL, DIMENSION(klon, nbsrf)       :: pblh_x
     REAL, DIMENSION(klon, nbsrf)       :: plcl_x
@@ -878,5 +876,5 @@
     REAL, DIMENSION(klon, nbsrf)       :: trmb2_x
     REAL, DIMENSION(klon, nbsrf)       :: trmb3_x
-!
+
     REAL, DIMENSION(klon, nbsrf)       :: t2m_w
     REAL, DIMENSION(klon, nbsrf)       :: q2m_w
@@ -887,5 +885,5 @@
     REAL, DIMENSION(klon, nbsrf)       :: ustar_w
     REAL, DIMENSION(klon, nbsrf)       :: wstar_w
-!                           
+
     REAL, DIMENSION(klon, nbsrf)       :: pblh_w
     REAL, DIMENSION(klon, nbsrf)       :: plcl_w
@@ -898,5 +896,5 @@
     REAL, DIMENSION(klon, nbsrf)       :: trmb2_w
     REAL, DIMENSION(klon, nbsrf)       :: trmb3_w
-!
+
     REAL, DIMENSION(klon)       :: yt2m_x
     REAL, DIMENSION(klon)       :: yq2m_x
@@ -907,5 +905,5 @@
     REAL, DIMENSION(klon)       :: yustar_x
     REAL, DIMENSION(klon)       :: ywstar_x
-!              
+
     REAL, DIMENSION(klon)       :: ypblh_x
     REAL, DIMENSION(klon)       :: ylcl_x
@@ -918,5 +916,5 @@
     REAL, DIMENSION(klon)       :: ytrmb2_x
     REAL, DIMENSION(klon)       :: ytrmb3_x
-!
+
     REAL, DIMENSION(klon)       :: yt2m_w
     REAL, DIMENSION(klon)       :: yq2m_w
@@ -927,5 +925,5 @@
     REAL, DIMENSION(klon)       :: yustar_w
     REAL, DIMENSION(klon)       :: ywstar_w
-!                       
+
     REAL, DIMENSION(klon)       :: ypblh_w
     REAL, DIMENSION(klon)       :: ylcl_w
@@ -938,8 +936,8 @@
     REAL, DIMENSION(klon)       :: ytrmb2_w
     REAL, DIMENSION(klon)       :: ytrmb3_w
-!
+
     REAL, DIMENSION(klon)       :: uzon_x, vmer_x, speed_x, zri1_x, pref_x !speed_x, zri1_x, pref_x, added by Fuxing WANG, 04/03/2015
     REAL, DIMENSION(klon)       :: zgeo1_x, tair1_x, qair1_x, tairsol_x
-!
+
     REAL, DIMENSION(klon)       :: uzon_w, vmer_w, speed_w, zri1_w, pref_w !speed_w, zri1_w, pref_w, added by Fuxing WANG, 04/03/2015
     REAL, DIMENSION(klon)       :: zgeo1_w, tair1_w, qair1_w, tairsol_w
@@ -984,5 +982,5 @@
     REAL, DIMENSION(klon)              :: yGamma_dTs_phiT, yGamma_dQs_phiQ
     REAL, DIMENSION(klon)              :: ydTs_ins, ydqs_ins
-!
+
     REAL, PARAMETER                    :: facteur=2./sqrt(3.14)
     REAL, PARAMETER                    :: inertia=2000.
@@ -1010,5 +1008,5 @@
 
     REAL                               :: vent
-!
+
 ! For debugging with IOIPSL
     INTEGER, DIMENSION(nbp_lon*nbp_lat)    :: ndexbg
@@ -1072,8 +1070,8 @@
 
       IF (prt_level >=10) print *,' -> pbl_surface, itap ',itap
-!
+
 !!jyg      iflag_split = mod(iflag_pbl_split,2)
 !!jyg      iflag_split = mod(iflag_pbl_split,10)
-!
+
 ! Flags controlling the splitting of the turbulent boundary layer:
 !   iflag_split_ref = 0  ==> no splitting
@@ -1131,5 +1129,5 @@
 ! 1) Initialisation and validation tests 
 !    Only done first time entering this subroutine
-!
+
 !****************************************************************************************
 
@@ -1208,5 +1206,5 @@
 ! 2) Initialization to zero 
 !****************************************************************************************
-!
+
 ! 2a) Initialization of all argument variables with INTENT(OUT)
 !****************************************************************************************
@@ -1383,5 +1381,5 @@
     flux_t_x(:,:,:)=0. ;          flux_t_w(:,:,:)=0. 
     flux_q_x(:,:,:)=0. ;          flux_q_w(:,:,:)=0.
-!
+
 !jyg<
     flux_u_x(:,:,:)=0. ;          flux_u_w(:,:,:)=0.
@@ -1392,9 +1390,9 @@
     flux_xt_x(:,:,:,:)=0. ;          flux_xt_w(:,:,:,:)=0.
 #endif
-!
+
 !jyg<
 ! pblh,plcl,capCL,cteiCL ... are meaningfull only over sub-surfaces
 ! actually present in the grid cell  ==> value set to 999999.
-!                           
+
 !jyg<
        ustar(:,:)   = 999999.
@@ -1404,5 +1402,5 @@
        v10m(:,:)    = 999999. 
 !>jyg
-!
+
        pblh(:,:)   = 999999.        ! Hauteur de couche limite
        plcl(:,:)   = 999999.        ! Niveau de condensation de la CLA
@@ -1415,5 +1413,5 @@
        trmb2(:,:)  = 999999.        ! inhibition 
        trmb3(:,:)  = 999999.        ! Point Omega
-!
+
        t2m_x(:,:)    = 999999. 
        q2m_x(:,:)    = 999999. 
@@ -1422,5 +1420,5 @@
        u10m_x(:,:)   = 999999. 
        v10m_x(:,:)   = 999999. 
-!                           
+
        pblh_x(:,:)   = 999999.      ! Hauteur de couche limite
        plcl_x(:,:)   = 999999.      ! Niveau de condensation de la CLA
@@ -1433,5 +1431,5 @@
        trmb2_x(:,:)  = 999999.      ! inhibition 
        trmb3_x(:,:)  = 999999.      ! Point Omega
-!
+
        t2m_w(:,:)    = 999999. 
        q2m_w(:,:)    = 999999. 
@@ -1452,5 +1450,5 @@
        trmb3_w(:,:)  = 999999.      ! Point Omega
 !!!      
-!
+
 !!!
 !****************************************************************************************
@@ -1468,5 +1466,5 @@
 !****************************************************************************************
 ! Test for rugos........ from physiq.. A la fin plutot???
-!
+
 !****************************************************************************************
 
@@ -1479,7 +1477,7 @@
 
 ! Mean calculations of albedo
-!
+
 ! * alb  : mean albedo for whole SW interval
-!
+
 ! Mean albedo for grid point
 ! * alb_m  : mean albedo at whole SW interval
@@ -1537,5 +1535,5 @@
        ENDDO
     ENDDO
-!
+
 !<al1: second order corrections
 !- net = dwn -up; up=sig( T4 + 4sum%T3T' + 6sum%T2T'2 +...)
@@ -1577,7 +1575,7 @@
 !****************************************************************************************
 ! 4) Loop over different surfaces
-!
+
 ! Only points containing a fraction of the sub surface will be treated.
-! 
+
 !****************************************************************************************
                                                                           !<<<<<<<<<<<<<
@@ -1585,5 +1583,5 @@
                                                                           !<<<<<<<<<<<<<
        IF (prt_level >=10) print *,' Loop nsrf ',nsrf
-!
+
        IF (iflag_split_ref == 3) THEN
          IF (nsrf == is_oce) THEN
@@ -1627,8 +1625,7 @@
 !****************************************************************************************
 ! 5) Compress variables 
-!
-!****************************************************************************************
-
-!
+
+!****************************************************************************************
+
 !jyg<    (20190926)
 !   Provisional : set ybeta to standard values
@@ -1646,5 +1643,5 @@
        ENDIF !  (nsrf .NE. is_ter)
 !>jyg
-!
+
        DO j = 1, knon
           i = ni(j)
@@ -1740,5 +1737,5 @@
           ENDDO
        ENDDO
-!
+
 !!! jyg le 07/02/2012 et le 10/04/2013
         DO k = 1, klev+1
@@ -1767,5 +1764,5 @@
           ENDDO
         ENDDO
-!
+
        IF (iflag_split>=1) THEN
 !!! nrlmd le 02/05/2011
@@ -1805,5 +1802,5 @@
 !!             ywake_dltke(j,k) = wake_dltke(i,k,nsrf)
 !!             ytke(j,k)     = tke(i,k,nsrf)
-!
+
              ytke_x(j,k)      = tke_x(i,k,nsrf)
              ytke(j,k)        = tke_x(i,k,nsrf)+wake_s(i)*wake_dltke(i,k,nsrf)
@@ -1866,5 +1863,5 @@
 !****************************************************************************************
 ! 6a) Calculate coefficients for turbulent diffusion at surface, cdragh et cdragm.
-!
+
 !****************************************************************************************
 
@@ -1936,5 +1933,5 @@
         ENDIF
         IF (prt_level >=10) print *,'clcdrag -> ycdragh_x ', ycdragh_x(1:knon)
-!
+
 ! Faire disparaitre les lignes commentees fin 2015 (le temps des tests)
 !        CALL clcdrag( knon, nsrf, ypaprs, ypplay, &
@@ -1952,5 +1949,5 @@
             yts_w, yqsurf_w, yz0m, yz0h, yri0, 0, &
             ycdragm_w, ycdragh_w, zri1_w, pref_w, rain_f, zxtsol, ypplay(:,1) )
-!
+
         IF(ok_bug_zg_wk_pbl) THEN
          zgeo1(1:knon) = wake_s(1:knon)*zgeo1_w(1:knon) + (1.-wake_s(1:knon))*zgeo1_x(1:knon)
@@ -1976,5 +1973,5 @@
 !****************************************************************************************
 ! 6b) Calculate coefficients for turbulent diffusion in the atmosphere, ycoefh et ycoefm.
-!
+
 !****************************************************************************************
 
@@ -2066,5 +2063,5 @@
 
         IF (prt_level >=10) print *,'coef_diff_turb -> ycoefh_x ',ycoefh_x(1:knon,:)
-!
+
       IF (prt_level >=10) THEN
       print *,' args coef_diff_turb: yu_w ',  yu_w(1:knon,:)
@@ -2122,11 +2119,11 @@
        
 !****************************************************************************************
-! 
+
 ! 8) "La descente" - "The downhill"
-!  
+
 !  climb_hq_down and climb_wind_down calculate the coefficients
 !  Ccoef_X et Dcoef_X for X=[H, Q, U, V].
 !  Only the coefficients at surface for H and Q are returned.
-!
+
 !****************************************************************************************
 
@@ -2166,5 +2163,5 @@
          PRINT *,'pbl_surface (climb_hq_down.x->) BcoefQ_x ',BcoefQ_x
        ENDIF
-!
+
         CALL climb_hq_down(knon, ycoefh_w, ypaprs, ypplay, &
             ydelp, yt_w, yq_w, dtime, &
@@ -2206,5 +2203,5 @@
 !!!
             AcoefU_x, AcoefV_x, BcoefU_x, BcoefV_x)
-!
+
         CALL climb_wind_down(knon, dtime, ycoefm_w, ypplay, ypaprs, yt_w, ydelp, yu_w, yv_w, &
 !!! nrlmd le 02/05/2011
@@ -2236,5 +2233,5 @@
 !****************************************************************************************
 ! 9) Small calculations
-!
+
 !****************************************************************************************
 
@@ -2268,5 +2265,4 @@
 #endif
 
-!
 ! Cdragq computation
 ! ------------------
@@ -2278,5 +2274,5 @@
     ! pbl_surface of an independant cdragq variable.
     !******************************************************************************
-!
+
     IF ( f_z0qh_oce /= 1. .and. nsrf ==is_oce) THEN
        ! Si on suit les formulations par exemple de Tessel, on 
@@ -2286,5 +2282,5 @@
 !!       ycdragq_w(1:knon)=ycdragh_w(1:knon)*                                      &
 !!            log(z1lay(1:knon)/yz0h(1:knon))/log(z1lay(1:knon)/(f_z0qh_oce*yz0h(1:knon)))
-!
+
        DO j = 1,knon
          z1lay = zgeo1(j)/RG
@@ -2294,5 +2290,5 @@
 !!     Print *,'YYYYpbl0: fact_cdrag ', fact_cdrag
        ENDDO  ! j = 1,knon
-!
+
 !!  Print *,'YYYYpbl0: z1lay, yz0h, f_z0qh_oce, ycdragh_w, ycdragq_w ', &
 !!                z1lay, yz0h(1:knon), f_z0qh_oce, ycdragh_w(1:knon), ycdragq_w(1:knon)
@@ -2301,5 +2297,5 @@
        ycdragq_w(1:knon)=ycdragh_w(1:knon)
     ENDIF  ! ( f_z0qh_oce .ne. 1. .and. nsrf .eq.is_oce)
-!
+
          CALL wx_pbl_prelim_0(knon, nsrf, dtime, ypplay, ypaprs, ywake_s,  &
                          yts, y_delta_tsurf, ygustiness, &
@@ -2375,10 +2371,10 @@
 !  Save initial value of z0h for use in evappot (z0h wiil be computed again in the surface models)
           yz0h_old(1:knon) = yz0h(1:knon)
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 ! Calulate t2m and q2m for the case of calculation at land grid points 
 ! t2m and q2m are needed as input to ORCHIDEE
-!
+
 !****************************************************************************************
        IF (nsrf == is_ter) THEN
@@ -2406,9 +2402,9 @@
 
 !****************************************************************************************
-!
+
 ! 10) Switch according to current surface
 !     It is necessary to start with the continental surfaces because the ocean
 !     needs their run-off.
-!
+
 !****************************************************************************************
        SELECT CASE(nsrf)
@@ -2666,5 +2662,5 @@
 !****************************************************************************************
 ! 11) - Calcul the increment of surface temperature
-!
+
 !****************************************************************************************
 
@@ -2677,10 +2673,10 @@
  
 !****************************************************************************************
-!
+
 ! 12) "La remontee" - "The uphill"
-!
+
 !  The fluxes (y_flux_X) and tendancy (y_d_X) are calculated 
 !  for X=H, Q, U and V, for all vertical levels.
-!
+
 !****************************************************************************************
 !!
@@ -2703,5 +2699,5 @@
           y_flux_q1(:) =  flat/RLVTT
           yfluxlat(:) =  flat
-!
+
 !!  Test sur iflag_split retire le 2/02/2018, sans vraiment comprendre la raison de ce test. (jyg)
 !!          IF (iflag_split .eq.0) THEN
@@ -2737,5 +2733,5 @@
         ENDDO
         ENDIF
-!
+
 ! ------------------------------------------------------------------------------
 ! 12a)  Splitting
@@ -2746,8 +2742,8 @@
         call abort_gcm('pbl_surface_mod 2607','isos pas encore dans iflag_split=1',1)
 #endif
-!
-!
+
+
          IF (nsrf /= is_oce) THEN
-!
+
 !         Compute potential evaporation and aridity factor  (jyg, 20200328)
           ybeta_prev(:) = ybeta(:)
@@ -2755,7 +2751,7 @@
                yqa(j) = AcoefQ(j) - BcoefQ(j)*yevap(j)*dtime
              ENDDO
-!
+
           CALL wx_evappot(knon, yqa, yTsurf_new, yevap_pot)
-!
+
           ybeta(1:knon) = min(yevap(1:knon)/yevap_pot(1:knon), 1.)
           
@@ -2768,8 +2764,8 @@
            ENDDO
           ENDIF  ! (prt_level >=10)
-!
+
 ! Second call to wx_pbl0_merge and wx_pbl_dts_merge in order to take into account 
 ! the update of the aridity coeficient beta.
-!
+
         CALL wx_pbl_prelim_beta(knon, dtime, ywake_s, ybeta,  &
                         BcoefQ_x, BcoefQ_w  &
@@ -2815,5 +2811,5 @@
             ydqs_ins(:) = 0.
           ENDIF   ! (iflag_split .eq. 2)
-!
+
         ELSE    ! (nsrf .ne. is_oce)
           ybeta(1:knon) = 1.
@@ -2830,5 +2826,5 @@
           ydqs_ins(:) = 0.
         ENDIF   ! (nsrf .ne. is_oce)
-! 
+
         CALL wx_pbl_split(knon, nsrf, dtime, ywake_s, ybeta, iflag_split, &
                        yg_T, yg_Q, &
@@ -2846,5 +2842,5 @@
                        y_delta_tsurf_new, y_delta_qsurf &
                        )
-!
+
          CALL wx_pbl_check(knon, dtime, ypplay, ypaprs, ywake_s, ybeta, iflag_split, &
                        yTs, y_delta_tsurf,  & 
@@ -2858,5 +2854,5 @@
                        y_flux_t1_x, y_flux_t1_w, &
                        y_flux_q1_x, y_flux_q1_w)
-!
+
          IF (nsrf /= is_oce) THEN
            CALL wx_pbl_dts_check(knon, dtime, ypplay, ypaprs, ywake_s, ybeta, iflag_split, &
@@ -2877,18 +2873,17 @@
                          y_flux_q1_x, y_flux_q1_w )
          ENDIF   ! (nsrf .ne. is_oce)
-!
+
        ELSE  ! (iflag_split .ge. 1)
          ybeta(1:knon) = 1.
          yevap_pot(1:knon) = yevap(1:knon)
        ENDIF  ! (iflag_split .ge. 1)
-!
+
        IF (prt_level >= 10) THEN
          print *,'pbl_surface, ybeta , yevap, yevap_pot ', &
                                ybeta(1:knon) , yevap(1:knon), yevap_pot(1:knon)
        ENDIF  ! (prt_level >= 10)
-!
+
 !>jyg
-!
- 
+
 !!jyg!!   A reprendre apres reflexion   ===============================================
 !!jyg!!
@@ -2986,5 +2981,5 @@
 #endif
       )
-!
+
        CALL climb_hq_up(knon, dtime, yt_w, yq_w, &
             y_flux_q1_w, y_flux_t1_w, ypaprs, ypplay, &
@@ -3032,5 +3027,5 @@
 !!!
             y_flux_u_x, y_flux_v_x, y_d_u_x, y_d_v_x)
-!
+
      y_d_t_diss_x(:,:)=0.
      IF (iflag_pbl>=20 .and. iflag_pbl<30) THEN
@@ -3058,10 +3053,10 @@
      ENDIF
 !     print*,'yamada_c OK'
-!
+
         IF (prt_level >=10) THEN
          print *, 'After climbing up, lfuxlat_x, fluxlat_w ', &
                yfluxlat_x(1:knon), yfluxlat_w(1:knon)
         ENDIF
-!
+
        ENDIF  ! (iflag_split .eq.0)
 
@@ -3087,5 +3082,5 @@
 !     - Multiply with pourcentage of current surface
 !     - Cumulate in global variable
-!
+
 !****************************************************************************************
 
@@ -3298,7 +3293,7 @@
 !!jyg20210118          delta_tsurf(i,nsrf)=y_delta_tsurf(j)
           delta_tsurf(i,nsrf)=y_delta_tsurf_new(j)
-!
+
           delta_qsurf(i) = delta_qsurf(i) + y_delta_qsurf(j)*ypct(j)
-!
+
           cdragh_x(i) = cdragh_x(i) + ycdragh_x(j)*ypct(j)
           cdragh_w(i) = cdragh_w(i) + ycdragh_w(j)*ypct(j)
@@ -3434,5 +3429,5 @@
            d_u_x(i,k) = d_u_x(i,k) + y_d_u_x(j,k)
            d_v_x(i,k) = d_v_x(i,k) + y_d_v_x(j,k)
-!
+
            d_t_diss_w(i,k) = d_t_diss_w(i,k) + y_d_t_diss_w(j,k)
            d_t_w(i,k) = d_t_w(i,k) + y_d_t_w(j,k)
@@ -3447,5 +3442,4 @@
 #endif
 
-!
 !!           d_wake_dlt(i,k) = d_wake_dlt(i,k) + y_d_t_w(i,k)-y_d_t_x(i,k)
 !!           d_wake_dlq(i,k) = d_wake_dlq(i,k) + y_d_q_w(i,k)-y_d_q_x(i,k)
@@ -3542,8 +3536,8 @@
 ! 14) Calculate the temperature and relative humidity at 2m and the wind at 10m 
 !     Call HBTM
-!
-!****************************************************************************************
-!!!
-!
+
+!****************************************************************************************
+!!!
+
 #undef T2m     
 #define T2m     
@@ -3662,9 +3656,9 @@
           u10m(i,nsrf)=(yu10m(j) * uzon(j))/SQRT(uzon(j)**2+vmer(j)**2)
           v10m(i,nsrf)=(yu10m(j) * vmer(j))/SQRT(uzon(j)**2+vmer(j)**2)
-!
+
           DO k = 1, 6
            n2mout(i,nsrf,k) = yn2mout(j,nsrf,k)
           END DO  
-!
+
         ENDDO
        ELSE  !(iflag_split .eq.0)
@@ -3677,9 +3671,9 @@
           u10m_x(i,nsrf)=(yu10m_x(j) * uzon_x(j))/SQRT(uzon_x(j)**2+vmer_x(j)**2)
           v10m_x(i,nsrf)=(yu10m_x(j) * vmer_x(j))/SQRT(uzon_x(j)**2+vmer_x(j)**2)
-!
+
           DO k = 1, 6
            n2mout_x(i,nsrf,k) = yn2mout_x(j,nsrf,k)
           END DO  
-!
+
         ENDDO
         DO j=1, knon
@@ -3691,13 +3685,13 @@
           u10m_w(i,nsrf)=(yu10m_w(j) * uzon_w(j))/SQRT(uzon_w(j)**2+vmer_w(j)**2)
           v10m_w(i,nsrf)=(yu10m_w(j) * vmer_w(j))/SQRT(uzon_w(j)**2+vmer_w(j)**2)
-!
+
           ustar(i,nsrf) = ustar_x(i,nsrf) + wake_s(i)*(ustar_w(i,nsrf)-ustar_x(i,nsrf))
           u10m(i,nsrf) = u10m_x(i,nsrf) + wake_s(i)*(u10m_w(i,nsrf)-u10m_x(i,nsrf))
           v10m(i,nsrf) = v10m_x(i,nsrf) + wake_s(i)*(v10m_w(i,nsrf)-v10m_x(i,nsrf))
-!
+
           DO k = 1, 6
            n2mout_w(i,nsrf,k) = yn2mout_w(j,nsrf,k)
           END DO  
-!
+
         ENDDO
 !!!
@@ -3749,5 +3743,5 @@
 !!!
        ENDIF
-!
+
        IF (prt_level >=10) THEN
          print *, 'T2m, q2m, RH2m ', &
@@ -3756,5 +3750,5 @@
 
 !   print*,'OK pbl 5'
-!
+
 !!! jyg le 07/02/2012
        IF (iflag_split ==0) THEN
@@ -3879,11 +3873,11 @@
 !****************************************************************************************
 ! 15) End of loop over different surfaces
-!
+
 !****************************************************************************************
     ENDDO loop_nbsrf
-!
+
 !----------------------------------------------------------------------------------------
 !   Reset iflag_split 
-!
+
    iflag_split=iflag_split_ref
 
@@ -3901,5 +3895,5 @@
 !****************************************************************************************
 ! 16) Calculate the mean value over all sub-surfaces for some variables
-!
+
 !****************************************************************************************
     
@@ -3939,5 +3933,5 @@
               zxfluxu_x(i,k) = zxfluxu_x(i,k) + flux_u_x(i,k,nsrf) * pctsrf(i,nsrf)
               zxfluxv_x(i,k) = zxfluxv_x(i,k) + flux_v_x(i,k,nsrf) * pctsrf(i,nsrf)
-!
+
               zxfluxt_w(i,k) = zxfluxt_w(i,k) + flux_t_w(i,k,nsrf) * pctsrf(i,nsrf)
               zxfluxq_w(i,k) = zxfluxq_w(i,k) + flux_q_w(i,k,nsrf) * pctsrf(i,nsrf)
@@ -4009,7 +4003,6 @@
 !!!
 
-!
 ! Incrementer la temperature du sol
-!
+
     zxtsol(:) = 0.0  ; zxfluxlat(:) = 0.0
     zt2m(:) = 0.0    ; zq2m(:) = 0.0 ; zn2mout(:,:) = 0
@@ -4045,5 +4038,5 @@
        ENDDO
     ENDDO
-!
+
 !<al1 order 2 correction to zxtsol, for radiation computations (main atm effect of Ts)
    IF (iflag_order2_sollw == 1) THEN
@@ -4064,9 +4057,9 @@
           zt2m(i)  = zt2m(i)  + t2m(i,nsrf)  * pctsrf(i,nsrf)
           zq2m(i)  = zq2m(i)  + q2m(i,nsrf)  * pctsrf(i,nsrf)
-!
+
           DO k = 1, 6
            zn2mout(i,k)  = zn2mout(i,k)  + n2mout(i,nsrf,k)  * pctsrf(i,nsrf)
           ENDDO  
-!
+
           zustar(i) = zustar(i) + ustar(i,nsrf) * pctsrf(i,nsrf)
           wstar(i,is_ave)=wstar(i,is_ave)+wstar(i,nsrf)*pctsrf(i,nsrf)
@@ -4100,22 +4093,22 @@
           zt2m(i)  = zt2m(i)  + (t2m_x(i,nsrf)+wake_s(i)*(t2m_w(i,nsrf)-t2m_x(i,nsrf))) * pctsrf(i,nsrf)
           zq2m(i)  = zq2m(i)  + q2m_x(i,nsrf)  * pctsrf(i,nsrf)
-!
+
           DO k = 1, 6
            zn2mout(i,k)  = zn2mout(i,k)  + n2mout_x(i,nsrf,k)  * pctsrf(i,nsrf)
           ENDDO
-!
+
           zustar(i) = zustar(i) + ustar_x(i,nsrf) * pctsrf(i,nsrf)
           wstar(i,is_ave)=wstar(i,is_ave)+wstar_x(i,nsrf)*pctsrf(i,nsrf)
           zu10m(i) = zu10m(i) + u10m_x(i,nsrf) * pctsrf(i,nsrf)
           zv10m(i) = zv10m(i) + v10m_x(i,nsrf) * pctsrf(i,nsrf)
-!
+
           s_pblh(i)     = s_pblh(i)     + pblh_x(i,nsrf)  * pctsrf(i,nsrf)
           s_pblh_x(i)   = s_pblh_x(i)   + pblh_x(i,nsrf)  * pctsrf(i,nsrf)
           s_pblh_w(i)   = s_pblh_w(i)   + pblh_w(i,nsrf)  * pctsrf(i,nsrf)
-!
+
           s_plcl(i)     = s_plcl(i)     + plcl_x(i,nsrf)  * pctsrf(i,nsrf)
           s_plcl_x(i)   = s_plcl_x(i)   + plcl_x(i,nsrf)  * pctsrf(i,nsrf)
           s_plcl_w(i)   = s_plcl_w(i)   + plcl_w(i,nsrf)  * pctsrf(i,nsrf)
-!
+
           s_capCL(i)  = s_capCL(i)  + capCL_x(i,nsrf) * pctsrf(i,nsrf)
           s_oliqCL(i) = s_oliqCL(i) + oliqCL_x(i,nsrf)* pctsrf(i,nsrf)
@@ -4202,7 +4195,7 @@
 
   END SUBROUTINE pbl_surface
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE pbl_surface_final(fder_rst, snow_rst, qsurf_rst, ftsoil_rst &
 #ifdef ISO
@@ -4235,5 +4228,5 @@
 !****************************************************************************************
 ! Return module variables for writing to restart file
-!
+
 !****************************************************************************************    
     fder_rst(:)       = fder(:)
@@ -4248,5 +4241,5 @@
 !****************************************************************************************
 ! Deallocate module variables
-!
+
 !****************************************************************************************
 !   DEALLOCATE(qsol, fder, snow, qsurf, evap, rugos, agesno, ftsoil)
@@ -4266,5 +4259,5 @@
 !****************************************************************************************
 ! Deallocate variables for pbl splitting
-!
+
 !****************************************************************************************
 
@@ -4273,7 +4266,6 @@
 
   END SUBROUTINE pbl_surface_final
-!  
-!****************************************************************************************
-! 
+
+!****************************************************************************************
 
 !albedo SB >>>
@@ -4326,5 +4318,5 @@
     INTEGER           :: ixt
 #endif
-!
+
 ! All at once !! 
 !****************************************************************************************
@@ -4460,6 +4452,6 @@
 
   END SUBROUTINE pbl_surface_newfrac
-!  
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
 END MODULE pbl_surface_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90	(revision 5099)
@@ -1,26 +1,26 @@
       SUBROUTINE perturb_radlwsw(zxtsol,iflag_radia)
-!
+
 !Case-specific radiative setup
-!
+
       use dimphy
       IMPLICIT none
       INCLUDE "flux_arp.h"     
-!
+
 ! Arguments :
 !------------
       REAL,DIMENSION(klon), INTENT(INOUT) :: zxtsol
       INTEGER, INTENT(IN)                 :: iflag_radia
-!
+
 !======================================================================
-!
+
       IF (iflag_radia == 2) THEN
-!
+
 ! Iflag_radia = 2 : DICE case : 
 !               on force zxtsol=tg pour le rayonnement (MPL 20130806)
 !Sonia : Cas dice lmdz1d force en flux : on impose Tg pour imposer le LWUP
-!
+
         zxtsol(:) =  tg
       ENDIF
-!
+
       RETURN
       END
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE phyaqua_mod
   ! Routines complementaires pour la physique planetaire.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5099)
@@ -443,5 +443,5 @@
 !  TKE
 !==================================
-!
+
   IF (iflag_pbl>1) then
      found=phyetat0_srf(pbl_tke,"TKE","Turb. Kinetic. Energ. ",1.e-8)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE phyredem (fichnom)
-!
+
 !-------------------------------------------------------------------------------
 ! Author: Z.X. Li (LMD/CNRS), 1993/08/18
